-- NOTES:

-- play dialogue CC_XELKHK_H_KE_A,
-- play same jump —> zip away hornet anim as in the first hornet cutscene, play CC_XELKHK_H_KE_B

function onBegin()
	disableMovement()
	if not getFlag("HornetKE-03NoRespawn") then
		waitUntilOnGround()
		wait(0.1)
		say("CC_XELKHK_H_KE_A")
		setFlag("HornetKE-03Moving",true)
		wait(0.13) -- time before throwing the nail minus one frame
		enableMovement()
		setFlag("HornetKE-03JumpsAway",true)
		playSound("event:/CC/CC_HollowKnight/SFX/Scene/HornetCastoffNeedle")
		wait(0.3)
		setFlag("HornetKE-03JumpedAway",true)
		wait(0.45)
		setFlag("HornetKE-03Seen",true)
	end
end

function onEnd()
	enableMovement()
	setFlag("HornetKE-03Seen",true)
	setFlag("HornetKE-03JumpsAway",false)
	setFlag("HornetKE-03NoRespawn",true)
end